Package org.springframework.scheduling.support

# Enum Class ScheduledTaskObservationDocumentation.LowCardinalityKeyNames

java.lang.Object
java.lang.Enum<ScheduledTaskObservationDocumentation.LowCardinalityKeyNames>
org.springframework.scheduling.support.ScheduledTaskObservationDocumentation.LowCardinalityKeyNames

All Implemented Interfaces:
  `io.micrometer.common.docs.KeyName`, `Serializable`, `Comparable<ScheduledTaskObservationDocumentation.LowCardinalityKeyNames>`, `Constable`

Enclosing class:
  ScheduledTaskObservationDocumentation

public static enum ScheduledTaskObservationDocumentation.LowCardinalityKeyNames extends Enum<ScheduledTaskObservationDocumentation.LowCardinalityKeyNames> implements io.micrometer.common.docs.KeyName

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CODE_FUNCTION`
Name of the method that is executed for the scheduled task.
`CODE_NAMESPACE`
`Canonical name` of the target type that owns the scheduled method.
`EXCEPTION`
Name of the exception thrown during task execution, or "none" if no exception was thrown.
`OUTCOME`
Outcome of the scheduled task execution.

## Method Summary

Modifier and Type
Method
Description
`static ScheduledTaskObservationDocumentation.LowCardinalityKeyNames`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ScheduledTaskObservationDocumentation.LowCardinalityKeyNames[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface io.micrometer.common.docs.KeyName

`asString, isRequired, withValue, withValue`

## Enum Constant Details

### CODE_FUNCTION

public static final ScheduledTaskObservationDocumentation.LowCardinalityKeyNames CODE_FUNCTION
Name of the method that is executed for the scheduled task.

### CODE_NAMESPACE

public static final ScheduledTaskObservationDocumentation.LowCardinalityKeyNames CODE_NAMESPACE
`Canonical name` of the target type that owns the scheduled method.

### EXCEPTION

public static final ScheduledTaskObservationDocumentation.LowCardinalityKeyNames EXCEPTION
Name of the exception thrown during task execution, or "none" if no exception was thrown.

### OUTCOME

public static final ScheduledTaskObservationDocumentation.LowCardinalityKeyNames OUTCOME
Outcome of the scheduled task execution.

## Method Details

### values

public static ScheduledTaskObservationDocumentation.LowCardinalityKeyNames[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ScheduledTaskObservationDocumentation.LowCardinalityKeyNames valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null